ma <- function(x,h)
{#computing the moving average for series x using window size h,
 #according to the formula (3.5)

 n <- length(x)
 if(n <= 2*h) 
   return("The length of series is too short for this window size")
  

 result <- filter(x, rep(1,2*h+1)/(2*h+1))     #computing moving average
 for (i in 1:h)                                #handling left boundary
   result[i] <- sum(x[1:(i+h)])/(i+h)
 for (i in (n-h+1):n)                          #handling right boundary
   result[i] <- sum(x[(i-h):n])/(n-i+h+1)
 result
}
